//<#!@READ-ONLY-SECTION-START@!#>
/*
 * \class cfm_function
 * \brief Intel(R) CoFluent(TM) Studio - Intel Corporation
 * \details Simulation model of AIC_MU_ProjectApp generated by C++ Generator for SystemC/TLM2
 */
#include "cfm_function.h"
using namespace std;
using namespace sc_core;
using namespace cf_dt;
using namespace cf_pk;
using namespace cf_core;

//<#!@READ-ONLY-SECTION-END@!#>
//Start of 'Function definitions' algorithm generated code

//End of 'Function definitions' algorithm generated code
//<#!@READ-ONLY-SECTION-START@!#>

/// \name constructor
//@{
cfm_function::cfm_function(sc_core::sc_module_name name) :
		cf_function(name), p_mq_MsgQ("p_mq_MsgQ") {
	cf_function::init();

	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'Function constructor' algorithm generated code

	//End of 'Function constructor' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>

	cf_function::elab_end();
}
//@}

/// \name destructor
//@{
cfm_function::~cfm_function(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'Function destructor' algorithm generated code

	//End of 'Function destructor' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>
}
//@}

/// \name pre-elaboration section
//@{
void cfm_function::cb_before_elaboration(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'Function pre elaboration' algorithm generated code

	//End of 'Function pre elaboration' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>
}
//@}

/// \name initialize attributes
//@{
void cfm_function::cb_init_attributes() {

// initialize function attributes
	cfa_cycle_period.init(cf_expr_time(10, CF_NS));
	cfa_scope.init(CF_FCT_SYSTEM);

	return;
}
//@}

/// \name initialize definitions
//@{
void cfm_function::cb_init_local_vars(void) {
	//<#!@READ-ONLY-SECTION-END@!#>
	//Start of 'Function initializations' algorithm generated code

	//End of 'Function initializations' algorithm generated code
	//<#!@READ-ONLY-SECTION-START@!#>
}
//@}


//<#!@READ-ONLY-SECTION-END@!#>